<kendo-grid
  [columnMenu]="{ filter: true }"
  [groupable]="false"
  [height]="800"
  [pageSize]="25"
  [pageable]="true"
  [reorderable]="false"
  [resizable]="true"
  [selectedKeys]="mySelection"
  [sortable]="true"
  [data]="users"
  header="false"
  kendoGridSelectBy="id"
>
  <kendo-grid-column
    *ngFor="let col of columns"
    [field]="col.field"
    [title]="col.title"
    [format]="col.format"
  ></kendo-grid-column>
  <kendo-grid-column>
    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
      <button kendoButton (click)="editUser(dataItem, rowIndex)">
        <kendo-icon name="edit" themeColor="success"></kendo-icon>
      </button>
      <button kendoButton (click)="deleteUser(rowIndex)">
        <kendo-icon name="close" themeColor="error"></kendo-icon>
      </button>
    </ng-template>
  </kendo-grid-column>
</kendo-grid>
